## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

Name:           zita-njbridge
Version:        0.4.8
Release:        %autorelease
Summary:        Jack client transporting audio over network

License:        GPLv3+
URL:            https://kokkinizita.linuxaudio.org/linuxaudio/
Source0:        https://kokkinizita.linuxaudio.org/linuxaudio/downloads/%{name}-%{version}.tar.bz2

BuildRequires:  gcc gcc-c++
# libraries:
BuildRequires:  pkgconfig(jack)
BuildRequires:  zita-resampler-devel

Recommends:     jack-audio-connection-kit


%description
Command line Jack clients to transmit full quality
multichannel audio over a local IP network, with
adaptive resampling.

Main features:

* One-to-one (UDP) or one-to-many (multicast).
* Sender and receiver(s) can each have their own
  sample rate and period size.
* Up to 64 channels, 16 or 24 bit or float samples.
* Receiver(s) can select any combination of channels.
* Low latency, optional additional buffering.
* High quality jitter-free resampling.
* Graceful handling of xruns, skipped cycles, lost
  packets and freewheeling.
* IP6 fully supported.
* Requires zita-resampler, no other dependencies.


%prep
%autosetup


%build
%{set_build_flags}
cd source
%make_build PREFIX= BINDIR=%{_bindir} LIBDIR=%{_libdir}


%install
cd source
make PREFIX=%{buildroot} BINDIR=%{buildroot}/%{_bindir} MANDIR=%{buildroot}/%{_mandir}/man1 install


%files
%{_bindir}/zita-j2n
%{_bindir}/zita-n2j
%{_mandir}/man1/zita-njbridge.1.*
%{_mandir}/man1/zita-j2n.1.*
%{_mandir}/man1/zita-n2j.1.*
%license COPYING 
%doc AUTHORS README


%changelog
* Fri Feb 25 2022 Philip Matura <pfed@tura-home.de> - 0.4.8-2
- Convert to autorelease/autochangelog

* Fri Aug 20 2021 Philip Matura <pfed@tura-home.de> - 0.4.8-1
- Update to version 0.4.8

* Tue Dec 17 2019 Philip Matura <pfed@tura-home.de> - 0.4.4-2
- Glob manpage file extensions
- Use pkgconfig dependency for jack

* Fri Nov 15 2019 Philip Matura <pfed@tura-home.de> - 0.4.4-1
- Initial build

